Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.parser
Class DefaultSelectorFactory

    java.lang.Object
      org.apache.batik.css.parser.DefaultSelectorFactory

All Implemented Interfaces:
  SelectorFactory

public class DefaultSelectorFactory
extends java.lang.Object
implements SelectorFactory

This class implements the `SelectorFactory` interface.

Field Summary
`static SelectorFactory` | `INSTANCE` The instance of this class.

Constructor Summary
`protected` | `DefaultSelectorFactory()` This class does not need to be instantiated.

Method Summary
`SimpleSelector` | `createAnyNodeSelector()` SAC: Implements `SelectorFactory.createAnyNodeSelector()`.
`CharacterDataSelector` | `createCDataSectionSelector(java.lang.String data)` SAC: Implements `SelectorFactory.createCDataSectionSelector(String)`.
`DescendantSelector` | `createChildSelector(Selector parent, SimpleSelector child)` SAC: Implements `SelectorFactory.createChildSelector(Selector,SimpleSelector)`.
`CharacterDataSelector` | `createCommentSelector(java.lang.String data)` SAC: Implements `SelectorFactory.createCommentSelector(String)`.
`ConditionalSelector` | `createConditionalSelector(SimpleSelector selector, Condition condition)` SAC: Implements `SelectorFactory.createConditionalSelector(SimpleSelector,Condition)`.
`DescendantSelector` | `createDescendantSelector(Selector parent, SimpleSelector descendant)` SAC: Implements `SelectorFactory.createDescendantSelector(Selector,SimpleSelector)`.
`SiblingSelector` | `createDirectAdjacentSelector(short nodeType, Selector child, SimpleSelector directAdjacent)` SAC: Implements `SelectorFactory.createDirectAdjacentSelector(short,Selector,SimpleSelector)`.
`ElementSelector` | `createElementSelector(java.lang.String namespaceURI, java.lang.String tagName)` SAC: Implements `SelectorFactory.createElementSelector(String,String)`.
`NegativeSelector` | `createNegativeSelector(SimpleSelector selector)` SAC: Implements `SelectorFactory.createNegativeSelector(SimpleSelector)`.
`ProcessingInstructionSelector` | `createProcessingInstructionSelector(java.lang.String target, java.lang.String data)` SAC: Implements `SelectorFactory.createProcessingInstructionSelector(String,String)`.
`ElementSelector` | `createPseudoElementSelector(java.lang.String namespaceURI, java.lang.String pseudoName)` SAC: Implements `SelectorFactory.createPseudoElementSelector(String,String)`.
`SimpleSelector` | `createRootNodeSelector()` SAC: Implements `SelectorFactory.createRootNodeSelector()`.
`CharacterDataSelector` | `createTextNodeSelector(java.lang.String data)` SAC: Implements `SelectorFactory.createTextNodeSelector(String)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final SelectorFactory INSTANCE

  The instance of this class.

Constructor Detail

### DefaultSelectorFactory

    protected DefaultSelectorFactory()

  This class does not need to be instantiated.

Method Detail

### createConditionalSelector

    public ConditionalSelector createConditionalSelector(SimpleSelector selector,
                                                         Condition condition)
                                                  throws CSSException

  SAC: Implements `SelectorFactory.createConditionalSelector(SimpleSelector,Condition)`.

  Specified by:
    `createConditionalSelector` in interface `SelectorFactory`
  Parameters:
    `selector` - a selector.
    `condition` - a condition
  Returns:
    the conditional selector.
  Throws:
    `CSSException` - If this selector is not supported.

### createAnyNodeSelector

    public SimpleSelector createAnyNodeSelector()
                                         throws CSSException

  SAC: Implements `SelectorFactory.createAnyNodeSelector()`.

  Specified by:
    `createAnyNodeSelector` in interface `SelectorFactory`
  Returns:
    the any node selector.
  Throws:
    `CSSException` - If this selector is not supported.

### createRootNodeSelector

    public SimpleSelector createRootNodeSelector()
                                          throws CSSException

  SAC: Implements `SelectorFactory.createRootNodeSelector()`.

  Specified by:
    `createRootNodeSelector` in interface `SelectorFactory`
  Returns:
    the root node selector.
  Throws:
    `CSSException` - If this selector is not supported.

### createNegativeSelector

    public NegativeSelector createNegativeSelector(SimpleSelector selector)
                                            throws CSSException

  SAC: Implements `SelectorFactory.createNegativeSelector(SimpleSelector)`.

  Specified by:
    `createNegativeSelector` in interface `SelectorFactory`
  Parameters:
    `selector` - a selector.
  Returns:
    the negative selector.
  Throws:
    `CSSException` - If this selector is not supported.

### createElementSelector

    public ElementSelector createElementSelector(java.lang.String namespaceURI,
                                                 java.lang.String tagName)
                                          throws CSSException

  SAC: Implements `SelectorFactory.createElementSelector(String,String)`.

  Specified by:
    `createElementSelector` in interface `SelectorFactory`
  Parameters:
    `namespaceURI` - the namespace URI of the element selector.
    `tagName` - the local part of the element name. `NULL` if this element selector can match any element.
  Returns:
    the element selector
  Throws:
    `CSSException` - If this selector is not supported.

### createTextNodeSelector

    public CharacterDataSelector createTextNodeSelector(java.lang.String data)
                                                 throws CSSException

  SAC: Implements `SelectorFactory.createTextNodeSelector(String)`.

  Specified by:
    `createTextNodeSelector` in interface `SelectorFactory`
  Parameters:
    `data` - the data
  Returns:
    the text node selector
  Throws:
    `CSSException` - If this selector is not supported.

### createCDataSectionSelector

    public CharacterDataSelector createCDataSectionSelector(java.lang.String data)
                                                     throws CSSException

  SAC: Implements `SelectorFactory.createCDataSectionSelector(String)`.

  Specified by:
    `createCDataSectionSelector` in interface `SelectorFactory`
  Parameters:
    `data` - the data
  Returns:
    the cdata section node selector
  Throws:
    `CSSException` - If this selector is not supported.

### createProcessingInstructionSelector

    public ProcessingInstructionSelector createProcessingInstructionSelector(java.lang.String target,
                                                                             java.lang.String data)
                                                                      throws CSSException

  SAC: Implements `SelectorFactory.createProcessingInstructionSelector(String,String)`.

  Specified by:
    `createProcessingInstructionSelector` in interface `SelectorFactory`
  Parameters:
    `target` - the target
    `data` - the data
  Returns:
    the processing instruction node selector
  Throws:
    `CSSException` - If this selector is not supported.

### createCommentSelector

    public CharacterDataSelector createCommentSelector(java.lang.String data)
                                                throws CSSException

  SAC: Implements `SelectorFactory.createCommentSelector(String)`.

  Specified by:
    `createCommentSelector` in interface `SelectorFactory`
  Parameters:
    `data` - the data
  Returns:
    the comment node selector
  Throws:
    `CSSException` - If this selector is not supported.

### createPseudoElementSelector

    public ElementSelector createPseudoElementSelector(java.lang.String namespaceURI,
                                                       java.lang.String pseudoName)
                                                throws CSSException

  SAC: Implements `SelectorFactory.createPseudoElementSelector(String,String)`.

  Specified by:
    `createPseudoElementSelector` in interface `SelectorFactory`
  Parameters:
    `pseudoName` - the pseudo element name. `NULL` if this element selector can match any pseudo element.
  Returns:
    the element selector
  Throws:
    `CSSException` - If this selector is not supported.

### createDescendantSelector

    public DescendantSelector createDescendantSelector(Selector parent,
                                                       SimpleSelector descendant)
                                                throws CSSException

  SAC: Implements `SelectorFactory.createDescendantSelector(Selector,SimpleSelector)`.

  Specified by:
    `createDescendantSelector` in interface `SelectorFactory`
  Parameters:
    `parent` - the parent selector
    `descendant` - the descendant selector
  Returns:
    the combinator selector.
  Throws:
    `CSSException` - If this selector is not supported.

### createChildSelector

    public DescendantSelector createChildSelector(Selector parent,
                                                  SimpleSelector child)
                                           throws CSSException

  SAC: Implements `SelectorFactory.createChildSelector(Selector,SimpleSelector)`.

  Specified by:
    `createChildSelector` in interface `SelectorFactory`
  Parameters:
    `parent` - the parent selector
    `child` - the child selector
  Returns:
    the combinator selector.
  Throws:
    `CSSException` - If this selector is not supported.

### createDirectAdjacentSelector

    public SiblingSelector createDirectAdjacentSelector(short nodeType,
                                                        Selector child,
                                                        SimpleSelector directAdjacent)
                                                 throws CSSException

  SAC: Implements `SelectorFactory.createDirectAdjacentSelector(short,Selector,SimpleSelector)`.

  Specified by:
    `createDirectAdjacentSelector` in interface `SelectorFactory`
  Parameters:
    `nodeType` - the type of nodes in the siblings list.
    `child` - the child selector
  Returns:
    the sibling selector with nodeType equals to org.w3c.dom.Node.ELEMENT_NODE
  Throws:
    `CSSException` - If this selector is not supported.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.